﻿topicarray["e708c0a8abf857f9b36b1f580c993179"] = {"Html":"\u003c?xml version=\"1.0\" encoding=\"utf-16\"?\u003e\u003chtml xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"\u003e\u003cdiv class=\"main_body\"\u003e\u003cbr /\u003e\u003cdiv class=\"content_body\"\u003e\u003cdiv class=\"body_headline\" style=\"display:none;\"\u003eElemente in der Sammlung iterieren\u003c/div\u003e\u003cdiv class=\"prolog-container\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eDie Methode \u003c/span\u003e\u003cspan class=\"code\"\u003eScanNetworkDevices\u003c/span\u003e\u003cspan\u003e gibt ein Objekt des Typs \u003c/span\u003e\u003cspan class=\"code\"\u003eIProfinetDeviceCollection\u003c/span\u003e\u003cspan\u003e aus. Diese Klasse stellt die Fähigkeit bereit, die Elemente der Sammlung auf unterschiedliche Weise zu iterieren. Außerdem bietet sie Methoden zum \"Filtern\" der Elemente in der Sammlung nach bestimmten Kriterien.  \u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eKlasse \u003c/span\u003e\u003cspan class=\"index-subentry-item\"\u003eIteration von Elementen der Sammlung\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eMit dem folgenden Beispiel wird eine Sammlung aller über die ausgewählte Netzwerkschnittstelle erreichbaren Geräte erstellt.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003eNetwork myNetwork = new Network();\u003cbr /\u003eIProfinetDeviceCollection scannedDevices;\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003eIScanErrorCollection scanResult = myNetwork.ScanNetworkDevices(out scannedDevices);\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eProgrammierer, die eine Array-ähnliche Syntax bevorzugen, können wie folgt auf die Elemente in scannedDevices zugreifen:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003eNetwork myNetwork = new Network();\u003cbr /\u003eIProfinetDeviceCollection scannedDevices;\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003eIScanErrorCollection scanResult = myNetwork.ScanNetworkDevices(out scannedDevices);\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003eif (scanResult.Succeeded)\u003cbr /\u003e{\u003cbr /\u003e\u003cbr /\u003e    for (int deviceIdx = 0; deviceIdx \u0026lt; scannedDevices.Count; deviceIdx++)\u003cbr /\u003e    {\u003cbr /\u003e        //‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐\u003cbr /\u003e        // \u003c/span\u003e\u003cspan class=\"code\"\u003eJedes Element in der Sammlung ist ein IProfinetDevice.\u003c/span\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003e        // \u003c/span\u003e\u003cspan class=\"code\"\u003eDiese Schnittstelle wird im nächsten Abschnitt ausführlich beschrieben\u003c/span\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003e        //‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐\u003cbr /\u003e         IProfinetDevice dev = scannedDevices[deviceIdx];\u003cbr /\u003e    }\u003cbr /\u003e}\u003cbr /\u003e\u003cbr /\u003e\u003c/span\u003e\u003cspan\u003eDie Sammlung unterstützt außerdem die Iteration mit Hilfe der \u003c/span\u003e\u003cspan\u003eforeach\u003c/span\u003e\u003cspan\u003e-Syntax. Das folgende Beispiel zeigt dieselbe Sammlung mit einer Iteration mit Hilfe dieser Syntax:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003eNetwork myNetwork = new Network();\u003cbr /\u003eIProfinetDeviceCollection scannedDevices;\u003cbr /\u003e\u003cbr /\u003eIScanErrorCollection scanResult = myNetwork.ScanNetworkDevices(out scannedDevices);\u003cbr /\u003eif (scanResult.Succeeded)\u003cbr /\u003e{\u003cbr /\u003e    foreach (IProfinetDevice dev in scannedDevices)\u003cbr /\u003e    {\u003cbr /\u003e        //‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐\u003cbr /\u003e        // \u003c/span\u003e\u003cspan class=\"code\"\u003eDie Variable \"\u003c/span\u003e\u003cspan class=\"code\"\u003edev\u003c/span\u003e\u003cspan class=\"code\"\u003e\" stellt jetzt das nächste Element der Sammlung dar\u003c/span\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003e        //‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐\u003cbr /\u003e    }\u003cbr /\u003e}\u003cbr /\u003e\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/html\u003e"}