﻿topicarray["1d5c76526713ef944b1fc2863274fa03"] = {"Html":"\u003c?xml version=\"1.0\" encoding=\"utf-16\"?\u003e\u003chtml xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"\u003e\u003cdiv class=\"main_body\"\u003e\u003cbr /\u003e\u003cdiv class=\"content_body\"\u003e\u003cdiv class=\"body_headline\" style=\"display:none;\"\u003eUser interface programming guidelines for safety-relevant operations\u003c/div\u003e\u003cdiv class=\"prolog-container\"\u003e\u003cdiv class=\"p p-default floating-text\" /\u003e\u003cdiv class=\"safetycontainer inserted-object\"\u003e\u003ctable width=\"100%\" class=\"warning\"\u003e\u003ctr valign=\"top\"\u003e\u003ctd colspan=\"3\" class=\"hint-headerContent\"\u003e\u003cp\u003e\u003cdiv style=\"display:table;\"\u003e\u003cimg class=\"headerImg\" style=\"display:table-cell;margin-right:14px;width:25px;\" src=\"images/warning/warningSymbol.ANSI.black.png\" /\u003e\u003cdiv style=\"display:table-cell;vertical-align:middle;\"\u003eWarning\u003c/div\u003e\u003c/div\u003e\u003c/p\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr class=\"hint-content\"\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"hint-content-text\"\u003e\u003cdiv\u003e\u003cdiv class=\"subheading header-object\"\u003e\u003cspan\u003eProtect safety-relevant operations as much as possible\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eFail-Safe CPUs together with fail-safe I/O and safety programs provide the capability for a high degree of operational safety.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eWhen you use the SIMATIC Automation Tool API, ensure that safety-relevant operations are as safe as possible. Siemens assumes no liability for user interface applications developed with the SIMATIC Automation Tool API. The software developer assumes all liability.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eFailure to follow adequate programming practices can result in death or personal injury when the user operates your user interface application.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"hint-lower-line\" /\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"fact\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eIdentifying and protecting safety-relevant operations\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eProgramming guidelines using API\u003c/span\u003e\u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eAPI (application programming interface)\u003c/span\u003e\u003cspan class=\"index-subentry-item\"\u003edesigning UI\u003c/span\u003e\u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eSafety-relevant operations in UI design with the API\u003c/span\u003e\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eSiemens recommends that you provide a confirmation dialog for safety-relevant operations. Design your application to require the user to select each fail-safe device for the operation and click \"Continue\" before performing the operation. \u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eAs you develop your user interface application using the API, identify whether an operation is one of the following safety-relevant operations:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"floating-text ul-container\"\u003e\u003cul class=\"bullet\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eProgram update\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eRestore device from backup file\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eReset to factory defaults\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eFormat memory card\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ul\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eFor operations that are safety-relevant, provide a confirmation dialog for your users. Use the \u003c/span\u003e\u003cspan class=\"hotspot\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk81e0e910-abdb-f379-12bc-9a5635c0aef4b27645b832371d11ed898e6658951088\" class=\"hotspot-link display-i-none\" data-mode=\"grab\" data-label=\"explicit\" data-linktarget=\"b27645b832371d11ed898e6658951088\" data-targettype=\"TOPIC\" data-targetdocument=\"1f711495eb261ddf9cd73714f9f62439\" data-targetdetail=\"b27645b832371d11ed898e6658951088\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003eDetermineConfirmationMessage API method\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003ca id=\"hse_chk81e0e910-abdb-f379-12bc-9a5635c0aef4b27645b832371d11ed898e6658951088\" data-id=\"hs_chk81e0e910-abdb-f379-12bc-9a5635c0aef4b27645b832371d11ed898e6658951088\" data-type=\"hotspot-ext-link\" data-linktype=\"hotspot-ext-link\" class=\"hotspot-ext-link display-none\"\u003e\u003ci class=\"\" /\u003e\u003c/a\u003e\u003cdiv id=\"hsc_chk81e0e910-abdb-f379-12bc-9a5635c0aef4b27645b832371d11ed898e6658951088\" class=\"hotspot-container hidden topicclass display-none\" style=\"\" data-type=\"hotspot-container\" data-id=\"hs_id\" /\u003e\u003c/span\u003e\u003cspan\u003e to determine the type of confirmation dialog to display. Providing an additional confirmation dialog protects users from accidentally performing an unintended safety-relevant operation. The following dialog is an example of a confirmation dialog for a program update operation:\u003c/span\u003e\u003c/div\u003e\u003cspan class=\"imagecontainer inserted-object has-no-image-title has-no-image-legend\"\u003e\u003cdiv style=\"margin-bottom:-4px;line-height:12.5pt;\"\u003e​\u003c/div\u003e\u003cimg src=\"images/104459716747_DV_resource.Stream@PNG-en-US.png\" docVersionId=\"123455556107\" language=\"en-US\" class=\"img_free\" id=\"123455556107_1d5c76526713ef944b1fc2863274fa03_104459716747_DV_resource\" data-width=\"661\" /\u003e\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"quintessence\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eRecommended programming practices\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eUse the following programming practices to ensure that you protect safety-relevant operations and minimize the chance of unsafe user action:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"floating-text ul-container\"\u003e\u003cul class=\"bullet\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003ePerform all safety-relevant operations on a single thread.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eRequire entry of the safety F-CPU password for safety-relevant operations. Verify the entered password against the CPU password. Use asterisks to hide passwords from the display when the user enters passwords.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eCheck the return codes of all methods. Ensure that your program logic only proceeds upon successful method returns.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eInclude appropriate exception handling in your implementation. The API throws exceptions for critical internal faults that it detects. Be sure that your software handles any exceptions in an appropriate manner.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eFor all safety-relevant operations, evaluate whether the operation succeeded. Display a message to the user upon a successful program update. Display an error message upon an unsuccessful program update.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eUse \u003c/span\u003e\u003cspan class=\"hotspot\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chkf5874250-2c0f-0775-a45e-afda344e6ca5edb340f60bd5d8ca99b828207edf7e82\" class=\"hotspot-link display-i-none\" data-mode=\"grab\" data-label=\"explicit\" data-linktarget=\"edb340f60bd5d8ca99b828207edf7e82\" data-targettype=\"TOPIC\" data-targetdocument=\"1f711495eb261ddf9cd73714f9f62439\" data-targetdetail=\"edb340f60bd5d8ca99b828207edf7e82\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003ehamming codes\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003ca id=\"hse_chkf5874250-2c0f-0775-a45e-afda344e6ca5edb340f60bd5d8ca99b828207edf7e82\" data-id=\"hs_chkf5874250-2c0f-0775-a45e-afda344e6ca5edb340f60bd5d8ca99b828207edf7e82\" data-type=\"hotspot-ext-link\" data-linktype=\"hotspot-ext-link\" class=\"hotspot-ext-link display-none\"\u003e\u003ci class=\"\" /\u003e\u003c/a\u003e\u003cdiv id=\"hsc_chkf5874250-2c0f-0775-a45e-afda344e6ca5edb340f60bd5d8ca99b828207edf7e82\" class=\"hotspot-container hidden topicclass display-none\" style=\"\" data-type=\"hotspot-container\" data-id=\"hs_id\" /\u003e\u003c/span\u003e\u003cspan\u003e in your application to implement Boolean states.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eUse \u003c/span\u003e\u003cspan class=\"hotspot\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chke72c3492-3594-5088-f460-3684a99986531f44578669c9e8e5b8bca2a38f9dd637\" class=\"hotspot-link display-i-none\" data-mode=\"grab\" data-label=\"explicit\" data-linktarget=\"1f44578669c9e8e5b8bca2a38f9dd637\" data-targettype=\"CHAPTER\" data-targetdocument=\"1f711495eb261ddf9cd73714f9f62439\" data-targetdetail=\"1f44578669c9e8e5b8bca2a38f9dd637\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003ecoloring\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003cspan\u003e in the application to indicate fail-safe devices, safety programs, safety F-CPU passwords, and other user-entered data. \u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003ePrompt for confirmation for all operating mode changes (RUN/STOP).\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eRefresh the user interface after each operation so that the application displays the correct device data.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ul\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eProgram update requirements\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eFor program updates on selected F-CPUs, provide an additional dialog for the user to reselect the fail-safe devices and confirm the following operations:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"floating-text ul-container\"\u003e\u003cul class=\"bullet\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eUpdating an existing safety program with another safety program\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eUpdating an existing safety program with a standard program\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eUpdating an existing standard program with a safety program\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eUpdating a CPU with no program with a safety program\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eDeleting an existing safety program \u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ul\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eFollowing a safety program update, verify that the F-signature of the program updated in the CPU matches the F-signature of the program update file.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eRestore from backup requirements\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eBefore restoring a backup file, evaluate whether the file is a safety program and prompt for user confirmation according to the same requirements for program updates.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eCertification\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"safetycontainer inserted-object\"\u003e\u003ctable width=\"100%\" class=\"note\"\u003e\u003ctr valign=\"top\"\u003e\u003ctd colspan=\"3\" class=\"hint-headerContent\"\u003e\u003cp\u003e\u003cdiv style=\"display:table;\"\u003e\u003cdiv style=\"display:table-cell;vertical-align:middle;\"\u003eNote\u003c/div\u003e\u003c/div\u003e\u003c/p\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr class=\"hint-content\"\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"hint-content-text\"\u003e\u003cdiv\u003e\u003cdiv class=\"subheading header-object\"\u003e\u003cspan\u003eAcquire certification for your user interface application\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eSiemens strongly suggests using a notified body such as TÜV SÜD to certify the safety of your design and implementation.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"hint-lower-line\" /\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/html\u003e"}