﻿topicarray["58c1c5e082451301cb7ccae1d47541f1"] = {"Html":"\u003c?xml version=\"1.0\" encoding=\"utf-16\"?\u003e\u003chtml xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"\u003e\u003cdiv class=\"main_body\"\u003e\u003cbr /\u003e\u003cdiv class=\"content_body\"\u003e\u003cdiv class=\"body_headline\" style=\"display:none;\"\u003eIntroduction to the example application\u003c/div\u003e\u003cdiv class=\"prolog-container\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eYour goal in this tutorial is to create a Windows application that uses some of the interfaces and methods in the SIMATIC Automation Tool API. As you proceed through the tutorial, you will progressively add controls and logic to your solution. Your solution will utilize several typical API interfaces and associated methods. The application enables your user to work with a single CPU on your device network. You will develop the software that enables a user to perform the following tasks:\u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eTutorial\u003c/span\u003e\u003cspan class=\"index-subentry-item\"\u003ecreating a custom application\u003c/span\u003e\u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eCreating a custom application with the SDK\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"floating-text ul-container\"\u003e\u003cul class=\"bullet\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eSelect a network interface for CPU communication\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eInsert a CPU by its IP address\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eDisplay identifying information for the CPU\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eChange the operating mode of the CPU\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eChange the IP address, subnet, and gateway for the CPU\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eSet the PROFINET name of the CPU\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eReset the CPU to factory defaults\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eUpdate the firmware of the CPU\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eBack up the CPU to a file\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eRestore a backup file to the CPU\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ul\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe user interface for your Windows application will be similar to the following example:\u003c/span\u003e\u003c/div\u003e\u003cspan class=\"imagecontainer inserted-object has-no-image-title has-no-image-legend\"\u003e\u003cdiv style=\"margin-bottom:-4px;line-height:12.5pt;\"\u003e​\u003c/div\u003e\u003cimg src=\"images/115098269451_DV_resource.Stream@PNG-en-US.png\" docVersionId=\"123455556107\" language=\"en-US\" class=\"img_free\" id=\"123455556107_58c1c5e082451301cb7ccae1d47541f1_115098269451_DV_resource\" data-width=\"661\" /\u003e\u003c/span\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eSiemens recommends that you perform the programming tasks without looking at the solution that the SDK provides in your installation folder. Learn how to use the API under the guidance of this tutorial. After you develop a working application, you can then look at the provided solution for comparison. \u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eTo minimize the amount of code to learn, the provided solution implements minimal result checking of each API operation. In actual practice, use good defensive programming techniques and check the results of operations. Program the application to proceed when operations are successful and to handle errors appropriately. The example programs and API method calls use the Result object to return status of operations. Check the value of the Result object after API method calls in your program logic. Also add visible feedback for your user such as a wait cursor or progress indicator for long operations.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eNote that the user interface of the sample application is in English only. Also note that the sample application exercises only a subset of the \u003c/span\u003e\u003cspan class=\"hotspot\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chke9ae566c-5fba-5d87-32a1-b9b0092ae4996258009e6c734921cbd9c08256fd1b77\" class=\"hotspot-link display-i-none\" data-mode=\"grab\" data-label=\"explicit\" data-linktarget=\"6258009e6c734921cbd9c08256fd1b77\" data-targettype=\"CHAPTER\" data-targetdocument=\"1f711495eb261ddf9cd73714f9f62439\" data-targetdetail=\"6258009e6c734921cbd9c08256fd1b77\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003efull set of the API functionality\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003cspan\u003e. After you become familiar with programming using the API, you can use any of the API interfaces, classes, and methods that you need to create other applications.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/html\u003e"}