﻿topicarray["382e5e8deae52cb08693fc4383256ca9"] = {"Html":"\u003c?xml version=\"1.0\" encoding=\"utf-16\"?\u003e\u003chtml xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"\u003e\u003cdiv class=\"main_body\"\u003e\u003cbr /\u003e\u003cdiv class=\"content_body\"\u003e\u003cdiv class=\"body_headline\" style=\"display:none;\"\u003eConnecting to a CPU on the network by IP address\u003c/div\u003e\u003cdiv class=\"prolog-container\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIf the network interface connects to a network with S7‑1200 or S7‑1500 CPUs, the next step is to enable the user to connect to a CPU on the network. This CPU is then the connected device for device commands. Your application, if you implement it according to the provided sample program, must perform the following tasks:\u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eConnecting to a CPU on the network\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003col class=\"floating-text\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eAccept and validate entry of an IP address.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eInsert a device for the IP address into the device collection. The device collection will be a collection of a single device in this example.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eRead data from the network device that corresponds to the entered address.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eVerify that the device at the IP address is an S7-1200 or S7-1500 CPU.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eDisplay the device information for the CPU.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ol\u003e\u003cspan class=\"img_free inserted-object has-no-image-title has-no-image-legend\"\u003e\u003cdiv style=\"margin-bottom:-4px;line-height:12.5pt;\"\u003e​\u003c/div\u003e\u003cimg src=\"images/114850174091_DV_resource.Stream@PNG-en-US.png\" docVersionId=\"123455556107\" language=\"en-US\" class=\"img_free\" id=\"123455556107_382e5e8deae52cb08693fc4383256ca9_114850174091_DV_resource\" width=\"320\" /\u003e\u003c/span\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThis chapter guides you through the form design and programming for each task.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"safetycontainer inserted-object\"\u003e\u003ctable width=\"100%\" class=\"note\"\u003e\u003ctr valign=\"top\"\u003e\u003ctd colspan=\"3\" class=\"hint-headerContent\"\u003e\u003cp\u003e\u003cdiv style=\"display:table;\"\u003e\u003cdiv style=\"display:table-cell;vertical-align:middle;\"\u003eNote\u003c/div\u003e\u003c/div\u003e\u003c/p\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr class=\"hint-content\"\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"hint-content-text\"\u003e\u003cdiv\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThis task sequence assumes that each preceding task is successful. In your application, perform verification and error checking. Only proceed from task to task upon success.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"hint-lower-line\" /\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"quintessence\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eProviding a text box to enter an IP address\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe user enters the IP address of the CPU in a text box. To provide this text box for your user, follow these steps:\u003c/span\u003e\u003c/div\u003e\u003col class=\"floating-text\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003ePlace a TextBox control on your form with a corresponding label, for example \"IP Address:\".\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eName the TextBox \"\u003c/span\u003e\u003cspan\u003eInsertDeviceIPAddress\u003c/span\u003e\u003cspan\u003e\". \u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eEnsure that the text box is wide enough for an IPv4 address.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eAdd the following global declarations to the \u003c/span\u003e\u003cspan class=\"code\"\u003epublic partial class Form1\u003c/span\u003e\u003cspan\u003e class in \u003c/span\u003e\u003cspan class=\"code\"\u003eForm1.cs\u003c/span\u003e\u003cspan\u003e. Add these right after the public Network declaration that you added in \u003c/span\u003e\u003cspan class=\"hotspot\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk82638fdc-565e-ffa9-f53e-72bc794f43ed75cf08ee47e700d8496b8f628118e642\" class=\"hotspot-link display-i-none\" data-mode=\"grab\" data-label=\"auto\" data-linktarget=\"75cf08ee47e700d8496b8f628118e642\" data-targettype=\"TOPIC\" data-targetdocument=\"1f711495eb261ddf9cd73714f9f62439\" data-targetdetail=\"75cf08ee47e700d8496b8f628118e642\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003eAccepting a selected interface from the available network interfaces\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003ca id=\"hse_chk82638fdc-565e-ffa9-f53e-72bc794f43ed75cf08ee47e700d8496b8f628118e642\" data-id=\"hs_chk82638fdc-565e-ffa9-f53e-72bc794f43ed75cf08ee47e700d8496b8f628118e642\" data-type=\"hotspot-ext-link\" data-linktype=\"hotspot-ext-link\" class=\"hotspot-ext-link display-none\"\u003e\u003ci class=\"\" /\u003e\u003c/a\u003e\u003cdiv id=\"hsc_chk82638fdc-565e-ffa9-f53e-72bc794f43ed75cf08ee47e700d8496b8f628118e642\" class=\"hotspot-container hidden topicclass display-none\" style=\"\" data-type=\"hotspot-container\" data-id=\"hs_id\" /\u003e\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan class=\"code\"\u003epublic IProfinetDeviceCollection Devices;\u003cbr /\u003epublic ICPU CurrentCPU;\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eNote that \"\u003c/span\u003e\u003cspan class=\"hotspot\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chkef3fcd89-9b9b-03a7-1163-6e4d28a3e1464431c2b86deacff671e87225daa68d29\" class=\"hotspot-link display-i-none\" data-mode=\"grab\" data-label=\"explicit\" data-linktarget=\"4431c2b86deacff671e87225daa68d29\" data-targettype=\"CHAPTER\" data-targetdocument=\"1f711495eb261ddf9cd73714f9f62439\" data-targetdetail=\"4431c2b86deacff671e87225daa68d29\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003eIProfinetDeviceCollection\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003cspan\u003e\" is a class that the API provides and that \"\u003c/span\u003e\u003cspan class=\"hotspot\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk329c04de-64b2-3237-5ed9-8db41e8e63cf82ec5a6ec55e47ccc7d1cb63c40b3c8c\" class=\"hotspot-link display-i-none\" data-mode=\"grab\" data-label=\"explicit\" data-linktarget=\"82ec5a6ec55e47ccc7d1cb63c40b3c8c\" data-targettype=\"CHAPTER\" data-targetdocument=\"1f711495eb261ddf9cd73714f9f62439\" data-targetdetail=\"82ec5a6ec55e47ccc7d1cb63c40b3c8c\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003eICPU\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003cspan\u003e\" is an interface. This tutorial application works with the \u003c/span\u003e\u003cspan class=\"code\"\u003eDevices\u003c/span\u003e\u003cspan\u003e collection and the \u003c/span\u003e\u003cspan class=\"code\"\u003eCurrentCPU\u003c/span\u003e\u003cspan\u003e object throughout the examples.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eIn the helper method region, add an IP address parser method named \u003c/span\u003e\u003cspan class=\"code\"\u003eParseIP\u003c/span\u003e\u003cspan\u003e. \u003c/span\u003e\u003cspan class=\"code\"\u003eParseIP\u003c/span\u003e\u003cspan\u003e converts the text-based IP address to an unsigned integer:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan class=\"code\"\u003eprivate uint ParseIP(string StrNetParm)\u003c/span\u003e\u003cbr /\u003e\u003cspan class=\"code\"\u003e{\u003cbr /\u003e   try\u003cbr /\u003e   {\u003c/span\u003e\u003cbr /\u003e\u003cspan class=\"code\"\u003e      System.Net.IPAddress ip = System.Net.IPAddress.Parse(StrNetParm);\u003c/span\u003e\u003cbr /\u003e\u003cspan class=\"code\"\u003e      byte[] bytes = ip.GetAddressBytes();\u003c/span\u003e\u003cbr /\u003e\u003cspan class=\"code\"\u003e      Array.Reverse(bytes);\u003c/span\u003e\u003cbr /\u003e\u003cspan class=\"code\"\u003e      return BitConverter.ToUInt32(bytes, 0);\u003c/span\u003e\u003cbr /\u003e\u003cspan class=\"code\"\u003e   }\u003c/span\u003e\u003cbr /\u003e\u003cspan class=\"code\"\u003e   catch (Exception e)\u003c/span\u003e\u003cbr /\u003e\u003cspan class=\"code\"\u003e   {\u003c/span\u003e\u003cbr /\u003e\u003cspan class=\"code\"\u003e      return 0xffffffff;\u003cbr /\u003e   }\u003cbr /\u003e} \u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ol\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"fact\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eImplementing a button to process the entered IP address\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eYou need a button for the user to click after entering an IP address. The button attempts to connect to a CPU on the network by the IP address. To implement this button, follow these steps:\u003c/span\u003e\u003c/div\u003e\u003col class=\"floating-text\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eDrop a button on your form and name it \"\u003c/span\u003e\u003cspan class=\"code\"\u003eInsertDevice\u003c/span\u003e\u003cspan\u003e\".\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eProgram a click event for the button:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan class=\"code\"\u003epublic void InsertDevice_Click(object sender, EventArgs e)\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eIn the \u003c/span\u003e\u003cspan class=\"hotspot\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk434cd3a5-dd2c-6cd8-d96b-633e6f89116c75cf08ee47e700d8496b8f628118e642\" class=\"hotspot-link display-i-none\" data-mode=\"grab\" data-label=\"explicit\" data-linktarget=\"75cf08ee47e700d8496b8f628118e642\" data-targettype=\"TOPIC\" data-targetdocument=\"1f711495eb261ddf9cd73714f9f62439\" data-targetdetail=\"75cf08ee47e700d8496b8f628118e642\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan class=\"code\"\u003e#region\u003c/span\u003e\u003cspan\u003e for the helper methods\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003ca id=\"hse_chk434cd3a5-dd2c-6cd8-d96b-633e6f89116c75cf08ee47e700d8496b8f628118e642\" data-id=\"hs_chk434cd3a5-dd2c-6cd8-d96b-633e6f89116c75cf08ee47e700d8496b8f628118e642\" data-type=\"hotspot-ext-link\" data-linktype=\"hotspot-ext-link\" class=\"hotspot-ext-link display-none\"\u003e\u003ci class=\"\" /\u003e\u003c/a\u003e\u003cdiv id=\"hsc_chk434cd3a5-dd2c-6cd8-d96b-633e6f89116c75cf08ee47e700d8496b8f628118e642\" class=\"hotspot-container hidden topicclass display-none\" style=\"\" data-type=\"hotspot-container\" data-id=\"hs_id\" /\u003e\u003c/span\u003e\u003cspan\u003e, add a global empty method:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan class=\"code\"\u003eprivate void UpdateCPUStatus()\u003cbr /\u003e{\u003cbr /\u003e}\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eYou will add code to this method later.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eWithin the \u003c/span\u003e\u003cspan class=\"code\"\u003eInsertDevice_Click\u003c/span\u003e\u003cspan\u003e method, add code to clear any existing device data and to clear the CPU status:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan class=\"code\"\u003eCurrentCPU = null; \u003cbr /\u003eClearCPUStatus();\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eCall your \u003c/span\u003e\u003cspan class=\"code\"\u003eParseIP\u003c/span\u003e\u003cspan\u003e method to convert the entered IP address from text to a 32-bit big-endian unsigned integer:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan class=\"code\"\u003euint ipAddress = ParseIP(InsertDeviceIPAddress.Text);\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ol\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThroughout your application, add error checking as necessary. For simplicity, this tutorial omits typical error-handling code.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"fact\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eUsing the IP address to connect to a CPU\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eNow that you have a labeled text box and corresponding button on your form, program the code to find the CPU on the network. After finding the CPU, your application can then read the device information from the CPU.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe API provides a device collection class, \u003c/span\u003e\u003cspan class=\"hotspot\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk71333125-f601-d0f0-2094-c8d0280d694c4431c2b86deacff671e87225daa68d29\" class=\"hotspot-link display-i-none\" data-mode=\"grab\" data-label=\"explicit\" data-linktarget=\"4431c2b86deacff671e87225daa68d29\" data-targettype=\"CHAPTER\" data-targetdocument=\"1f711495eb261ddf9cd73714f9f62439\" data-targetdetail=\"4431c2b86deacff671e87225daa68d29\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan class=\"code\"\u003eIProfinetDeviceCollection\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003cspan\u003e. You will insert your CPU into a collection (\u003c/span\u003e\u003cspan class=\"code\"\u003eDevices\u003c/span\u003e\u003cspan\u003e) so that you can perform subsequent device operations on the CPU. The \u003c/span\u003e\u003cspan class=\"hotspot\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk104aab60-3bb3-85ee-37f8-8fb9cdc198caf71b0432e26682b3437d183125c0f861\" class=\"hotspot-link display-i-none\" data-mode=\"grab\" data-label=\"explicit\" data-linktarget=\"f71b0432e26682b3437d183125c0f861\" data-targettype=\"TOPIC\" data-targetdocument=\"1f711495eb261ddf9cd73714f9f62439\" data-targetdetail=\"f71b0432e26682b3437d183125c0f861\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan class=\"code\"\u003eScanNetworkDevices\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003ca id=\"hse_chk104aab60-3bb3-85ee-37f8-8fb9cdc198caf71b0432e26682b3437d183125c0f861\" data-id=\"hs_chk104aab60-3bb3-85ee-37f8-8fb9cdc198caf71b0432e26682b3437d183125c0f861\" data-type=\"hotspot-ext-link\" data-linktype=\"hotspot-ext-link\" class=\"hotspot-ext-link display-none\"\u003e\u003ci class=\"\" /\u003e\u003c/a\u003e\u003cdiv id=\"hsc_chk104aab60-3bb3-85ee-37f8-8fb9cdc198caf71b0432e26682b3437d183125c0f861\" class=\"hotspot-container hidden topicclass display-none\" style=\"\" data-type=\"hotspot-container\" data-id=\"hs_id\" /\u003e\u003c/span\u003e\u003cspan\u003e method of the \u003c/span\u003e\u003cspan class=\"hotspot\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chkc165017a-139b-8c70-63de-a52c0636533ed3a16735fe5af7b949fec6249b91e38f\" class=\"hotspot-link display-i-none\" data-mode=\"grab\" data-label=\"explicit\" data-linktarget=\"d3a16735fe5af7b949fec6249b91e38f\" data-targettype=\"CHAPTER\" data-targetdocument=\"1f711495eb261ddf9cd73714f9f62439\" data-targetdetail=\"d3a16735fe5af7b949fec6249b91e38f\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan class=\"code\"\u003eNetwork\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003cspan\u003e class is how you enter the CPU into the collection.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eTo program your \u003c/span\u003e\u003cspan class=\"code\"\u003eInsertDevice_Click\u003c/span\u003e\u003cspan\u003e method to insert the CPU into your device collection, follow these steps:\u003c/span\u003e\u003c/div\u003e\u003col class=\"floating-text\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eCreate a device collection:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan class=\"code\"\u003eIScanErrorCollection scn = Net.ScanNetworkDevices(out Devices);\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eIgnore the contents of the network scan, and insert your device into the collection using the\u003c/span\u003e\u003cspan class=\"code\"\u003e InsertDeviceByIP \u003c/span\u003e\u003cspan\u003emethod:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan class=\"code\"\u003eDevices.Clear();\u003cbr /\u003eResult res = Devices.InsertDeviceByIP(0, ipAddress);\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eVerify that the device is an S7-1200 or an S7-1500 CPU:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan class=\"code\"\u003eres = Devices[0].RefreshStatus();\u003cbr /\u003eif (Devices[0].Family != DeviceFamily.CPU1200 \u0026amp;\u0026amp; Devices[0].Family != DeviceFamily.CPU1500)\u003cbr /\u003e   {\u003cbr /\u003e      MessageBox.Show(\"\u003c/span\u003e\u003cspan class=\"code\"\u003eERROR: Inserted device is not a CPU\u003c/span\u003e\u003cspan class=\"code\"\u003e\", \"Insert Device\", MessageBoxButtons.OK);\u003cbr /\u003e      return;\u003cbr /\u003e   }\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eCast the device as a CPU (\u003c/span\u003e\u003cspan class=\"hotspot\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk938b0768-9188-c027-f845-e5355b3c98b282ec5a6ec55e47ccc7d1cb63c40b3c8c\" class=\"hotspot-link display-i-none\" data-mode=\"grab\" data-label=\"explicit\" data-linktarget=\"82ec5a6ec55e47ccc7d1cb63c40b3c8c\" data-targettype=\"CHAPTER\" data-targetdocument=\"1f711495eb261ddf9cd73714f9f62439\" data-targetdetail=\"82ec5a6ec55e47ccc7d1cb63c40b3c8c\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan class=\"code\"\u003eICPU\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003cspan\u003e class) and save a reference. The application performs all device operations on the CPU through \u003c/span\u003e\u003cspan class=\"code\"\u003eCurrentCPU\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan class=\"code\"\u003eCurrentCPU = Devices[0] as ICPU;\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eUpdate the status of the device:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan class=\"code\"\u003eUpdateCPUStatus();\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eAs before, add appropriate error checking of returned results of operations.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eBuild your solution and verify your code compiles.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ol\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eAfter you successfully insert the S7-1200 or S7-1500 CPU in the device collection, your next task is \u003c/span\u003e\u003cspan class=\"hotspot\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk27ec4cd3-51b9-239c-710f-770a41d8a1926f368e3acabf9decda04b65a1aad0ab2\" class=\"hotspot-link display-i-none\" data-mode=\"grab\" data-label=\"auto\" data-linktarget=\"6f368e3acabf9decda04b65a1aad0ab2\" data-targettype=\"TOPIC\" data-targetdocument=\"1f711495eb261ddf9cd73714f9f62439\" data-targetdetail=\"6f368e3acabf9decda04b65a1aad0ab2\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003eDisplaying the CPU information\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003ca id=\"hse_chk27ec4cd3-51b9-239c-710f-770a41d8a1926f368e3acabf9decda04b65a1aad0ab2\" data-id=\"hs_chk27ec4cd3-51b9-239c-710f-770a41d8a1926f368e3acabf9decda04b65a1aad0ab2\" data-type=\"hotspot-ext-link\" data-linktype=\"hotspot-ext-link\" class=\"hotspot-ext-link display-none\"\u003e\u003ci class=\"\" /\u003e\u003c/a\u003e\u003cdiv id=\"hsc_chk27ec4cd3-51b9-239c-710f-770a41d8a1926f368e3acabf9decda04b65a1aad0ab2\" class=\"hotspot-container hidden topicclass display-none\" style=\"\" data-type=\"hotspot-container\" data-id=\"hs_id\" /\u003e\u003c/span\u003e\u003cspan\u003e.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/html\u003e"}