﻿topicarray["0c102ccdf91e81a470ce167da1fd351f"] = {"Html":"\u003c?xml version=\"1.0\" encoding=\"utf-16\"?\u003e\u003chtml xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"\u003e\u003cdiv class=\"main_body\"\u003e\u003cbr /\u003e\u003cdiv class=\"content_body\"\u003e\u003cdiv class=\"body_headline\" style=\"display:none;\"\u003eProgressChanged event\u003c/div\u003e\u003cdiv class=\"prolog-container\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe \u003c/span\u003e\u003cspan class=\"code\"\u003eIProfinetDevice\u003c/span\u003e\u003cspan\u003e interface supports the \u003c/span\u003e\u003cspan class=\"code\"\u003eProgressChanged\u003c/span\u003e\u003cspan\u003e event.\u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003e  (\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThis event allows the program to monitor the progress of methods that take a long time. \u003c/span\u003e\u003cspan class=\"code\"\u003eFirmwareUpdate\u003c/span\u003e\u003cspan\u003e is one example of such a method.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eTo utilize the event, attach an event handler to the event. The event handler is called when there is a change in the progress of the operation.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe following example shows how you can monitor execution progress. This example shows a method that updates the firmware for a device on the network. This operation can take noticeable time. To monitor the progress of the action, the method defines and attaches an event handler to the \u003c/span\u003e\u003cspan class=\"code\"\u003eProgressChanged\u003c/span\u003e\u003cspan\u003e event. When the firmware update is complete, the event handler is detached from the event:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003eprivate void UpdateCpuAtAddress(IProfinetDeviceCollection devices,uint targetIPAddress, string updateFile)\u003cbr /\u003e{\u003cbr /\u003e    IProfinetDevice dev = devices.FindDeviceByIP(targetIPAddress);\u003cbr /\u003e    if (dev != null)\u003cbr /\u003e    {\u003cbr /\u003e        dev.ProgressChanged += new\u003cbr /\u003e\u003cbr /\u003e        ProgressChangedEventHandler(Dev_ProgressChanged);\u003cbr /\u003e        dev.SetFirmwareFile(updateFile);\u003cbr /\u003e        dev.FirmwareUpdate(dev.ID, true);\u003cbr /\u003e\u003cbr /\u003e        dev.ProgressChanged -= new\u003cbr /\u003e\u003cbr /\u003e        ProgressChangedEventHandler(Dev_ProgressChanged);\u003cbr /\u003e    }\u003cbr /\u003e}\u003cbr /\u003e\u003cbr /\u003eprivate void Dev_ProgressChanged(object sender, ProgressChangedEventArgs e)\u003cbr /\u003e{\u003cbr /\u003e    IProfinetDevice device = sender as IProfinetDevice;\u003cbr /\u003e    double percent = 0;\u003cbr /\u003e    if (device != null)\u003cbr /\u003e    {\u003cbr /\u003e        if (e.Count != 0)\u003cbr /\u003e        {\u003cbr /\u003e            string sPercent = e.Index.ToString() + \" %\";\u003cbr /\u003e        }\u003cbr /\u003e    }\u003cbr /\u003e}\u003cbr /\u003e\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"quintessence\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eThe ProgressChangedEventArgs class\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe \u003c/span\u003e\u003cspan class=\"code\"\u003eProgressChanged\u003c/span\u003e\u003cspan\u003e event handler receives a \u003c/span\u003e\u003cspan class=\"code\"\u003eProgressChangedEventArgs\u003c/span\u003e\u003cspan\u003e object. This object has the following properties:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"20.7%\" /\u003e\u003ccol width=\"21.0%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"58.2%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first\"\u003e\u003cth class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_lb floating-text\"\u003e\u003cspan\u003eProperty Name\u003c/span\u003e\u003c/div\u003e\u003c/th\u003e\u003cth class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_lb floating-text\"\u003e\u003cspan\u003eReturn Type\u003c/span\u003e\u003c/div\u003e\u003c/th\u003e\u003cth class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_lb floating-text\"\u003e\u003cspan\u003eDescription\u003c/span\u003e\u003c/div\u003e\u003c/th\u003e\u003c/tr\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e​\u003cspan class=\"code\"\u003eAction\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e​\u003cspan class=\"hotspot\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk34a8ea59-c878-ad58-7848-d6bfe742ab3b475eebec57f168c825431d4e9b07bc54\" class=\"hotspot-link display-i-none\" data-mode=\"grab\" data-label=\"explicit\" data-linktarget=\"475eebec57f168c825431d4e9b07bc54\" data-targettype=\"TOPIC\" data-targetdocument=\"1f711495eb261ddf9cd73714f9f62439\" data-targetdetail=\"475eebec57f168c825431d4e9b07bc54\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan class=\"code\"\u003eProgressAction\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eDescription of the current action\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e​\u003cspan class=\"code\"\u003eCancel\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e​\u003cspan class=\"code\"\u003ebool\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eWas the action canceled?\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e​\u003cspan class=\"code\"\u003eCount\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e​\u003cspan class=\"code\"\u003eint\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eTotal amount of data to transfer\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e​\u003cspan class=\"code\"\u003eID\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e​\u003cspan class=\"code\"\u003euint\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eHardware ID\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e​\u003cspan class=\"code\"\u003eIndex\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e​\u003cspan class=\"code\"\u003eint\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eCurrent amount of data transferred\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/html\u003e"}