﻿topicarray["466352f91aba5c7ea27831b97a70b812"] = {"Html":"\u003c?xml version=\"1.0\" encoding=\"utf-16\"?\u003e\u003chtml xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"\u003e\u003cdiv class=\"main_body\"\u003e\u003cbr /\u003e\u003cdiv class=\"content_body\"\u003e\u003cdiv class=\"body_headline\" style=\"display:none;\"\u003eIHMI interface\u003c/div\u003e\u003cdiv class=\"prolog-container\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe \u003c/span\u003e\u003cspan class=\"code\"\u003eScanNetworkDevices\u003c/span\u003e\u003cspan\u003e method is called to generate an \u003c/span\u003e\u003cspan class=\"code\"\u003eIProfinetDeviceCollection\u003c/span\u003e\u003cspan\u003e. This collection contains an item for every accessible device on the industrial network. These devices may include CPUs, HMIs, decentralized I/O stations, and other Siemens devices. The \u003c/span\u003e\u003cspan class=\"code\"\u003eIProfinetDevice\u003c/span\u003e\u003cspan\u003e interface provides properties and methods that apply to all categories of devices.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eHowever, there are methods that are only used for HMI devices. These properties and methods are accessible using the \u003c/span\u003e\u003cspan class=\"code\"\u003eIHMI\u003c/span\u003e\u003cspan\u003e interface.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eTo determine if a given \u003c/span\u003e\u003cspan class=\"code\"\u003eIProfinetDevice\u003c/span\u003e\u003cspan\u003e interface actually represents a HMI device, cast it to an \u003c/span\u003e\u003cspan class=\"code\"\u003eIHMI\u003c/span\u003e\u003cspan\u003e. If this cast is successful, then the network device is an HMI, and you can use the methods on the \u003c/span\u003e\u003cspan class=\"code\"\u003eIHMI\u003c/span\u003e\u003cspan class=\"code\"\u003e\u003c/span\u003e\u003cspan\u003einterface. The following example illustrates this procedure:\u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003e(API interface)\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003eNetwork myNetwork = new Network();\u003cbr /\u003eIProfinetDeviceCollection scannedDevices;\u003cbr /\u003e\u003cbr /\u003eIScanErrorCollection scanResult = myNetwork.ScanNetworkDevices(out scannedDevices);\u003cbr /\u003eif (scanResult.Succeeded)\u003cbr /\u003e{\u003cbr /\u003e    foreach (IProfinetDevice dev in scannedDevices)\u003cbr /\u003e    {\u003cbr /\u003e        IHMI devAsHmi = dev as IHMI;\u003cbr /\u003e        if (devAsHmi != null)\u003cbr /\u003e        {\u003cbr /\u003e            //-----------------------------------------------------\u003cbr /\u003e            // \u003c/span\u003e\u003cspan class=\"code\"\u003eThe device is an HMI.\u003c/span\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003e            // \u003c/span\u003e\u003cspan class=\"code\"\u003eThe IHMI interface can be used to interact with it.\u003c/span\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003e            //-----------------------------------------------------\u003cbr /\u003e        }\u003cbr /\u003e    }\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003e}\u003cbr /\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"safetycontainer inserted-object\"\u003e\u003ctable width=\"100%\" class=\"note\"\u003e\u003ctr valign=\"top\"\u003e\u003ctd colspan=\"3\" class=\"hint-headerContent\"\u003e\u003cp\u003e\u003cdiv style=\"display:table;\"\u003e\u003cdiv style=\"display:table-cell;vertical-align:middle;\"\u003eNote\u003c/div\u003e\u003c/div\u003e\u003c/p\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr class=\"hint-content\"\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"hint-content-text\"\u003e\u003cdiv\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe \u003c/span\u003e\u003cspan class=\"code\"\u003eIHMI\u003c/span\u003e\u003cspan\u003e interface inherits from \u003c/span\u003e\u003cspan class=\"code\"\u003eIProfinetDevice\u003c/span\u003e\u003cspan\u003e. Therefore, all the properties and methods supported on \u003c/span\u003e\u003cspan class=\"code\"\u003eIProfinetDevice\u003c/span\u003e\u003cspan\u003e are also supported on \u003c/span\u003e\u003cspan class=\"code\"\u003eIHMI\u003c/span\u003e\u003cspan\u003e. The following IHMI properties topic describes only the properties/methods that are unique to the \u003c/span\u003e\u003cspan class=\"code\"\u003eIHMI\u003c/span\u003e\u003cspan\u003e interface.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"hint-lower-line\" /\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003cdiv class=\"safetycontainer inserted-object\"\u003e\u003ctable width=\"100%\" class=\"note\"\u003e\u003ctr valign=\"top\"\u003e\u003ctd colspan=\"3\" class=\"hint-headerContent\"\u003e\u003cp\u003e\u003cdiv style=\"display:table;\"\u003e\u003cdiv style=\"display:table-cell;vertical-align:middle;\"\u003eNote\u003c/div\u003e\u003c/div\u003e\u003c/p\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr class=\"hint-content\"\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"hint-content-text\"\u003e\u003cdiv\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe \u003c/span\u003e\u003cspan class=\"code\"\u003eIHMI\u003c/span\u003e\u003cspan\u003e interface supports the FirmwareUpdate method. However, this method will always return the error \u003c/span\u003e\u003cspan class=\"code\"\u003eFirmwareUpdateNotSupported\u003c/span\u003e\u003cspan\u003e. To update the firmware for an \u003c/span\u003e\u003cspan class=\"code\"\u003eHMI\u003c/span\u003e\u003cspan\u003e device, it is necessary to execute the \u003c/span\u003e\u003cspan class=\"hotspot\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chkb9b3a3f4-d1d0-ff6b-af2d-9444bd02bfac2da00f064bf97297e060de550dd2eb30\" class=\"hotspot-link display-i-none\" data-mode=\"grab\" data-label=\"explicit\" data-linktarget=\"2da00f064bf97297e060de550dd2eb30\" data-targettype=\"TOPIC\" data-targetdocument=\"1f711495eb261ddf9cd73714f9f62439\" data-targetdetail=\"2da00f064bf97297e060de550dd2eb30\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003eProgram update method\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003ca id=\"hse_chkb9b3a3f4-d1d0-ff6b-af2d-9444bd02bfac2da00f064bf97297e060de550dd2eb30\" data-id=\"hs_chkb9b3a3f4-d1d0-ff6b-af2d-9444bd02bfac2da00f064bf97297e060de550dd2eb30\" data-type=\"hotspot-ext-link\" data-linktype=\"hotspot-ext-link\" class=\"hotspot-ext-link display-none\"\u003e\u003ci class=\"\" /\u003e\u003c/a\u003e\u003cdiv id=\"hsc_chkb9b3a3f4-d1d0-ff6b-af2d-9444bd02bfac2da00f064bf97297e060de550dd2eb30\" class=\"hotspot-container hidden topicclass display-none\" style=\"\" data-type=\"hotspot-container\" data-id=\"hs_id\" /\u003e\u003c/span\u003e\u003cspan\u003e.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"hint-lower-line\" /\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/html\u003e"}