﻿topicarray["e708c0a8abf857f9b36b1f580c993179"] = {"Html":"\u003c?xml version=\"1.0\" encoding=\"utf-16\"?\u003e\u003chtml xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"\u003e\u003cdiv class=\"main_body\"\u003e\u003cbr /\u003e\u003cdiv class=\"content_body\"\u003e\u003cdiv class=\"body_headline\" style=\"display:none;\"\u003eIterar elementos de una recopilación\u003c/div\u003e\u003cdiv class=\"prolog-container\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eEl método \u003c/span\u003e\u003cspan class=\"code\"\u003eScanNetworkDevices\u003c/span\u003e\u003cspan\u003e devuelve un objeto del tipo \u003c/span\u003e\u003cspan class=\"code\"\u003eIProfinetDeviceCollection\u003c/span\u003e\u003cspan\u003e. Esta clase permite iterar los elementos de la colección de varias maneras. También proporciona métodos para filtrar los elementos de la colección aplicando determinados criterios.  \u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eCategoría \u003c/span\u003e\u003cspan class=\"index-subentry-item\"\u003eIterar elementos de colección\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eEl siguiente ejemplo crea una colección de todos los dispositivos accesibles en la interfaz de red seleccionada.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003eNetwork myNetwork = new Network();\u003cbr /\u003eIProfinetDeviceCollection scannedDevices;\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003eIScanErrorCollection scanResult = myNetwork.ScanNetworkDevices(out scannedDevices);\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eLos programadores que prefieran una sintaxis de matrices pueden acceder a los elementos de scannedDevices del siguiente modo:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003eNetwork myNetwork = new Network();\u003cbr /\u003eIProfinetDeviceCollection scannedDevices;\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003eIScanErrorCollection scanResult = myNetwork.ScanNetworkDevices(out scannedDevices);\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003eif (scanResult.Succeeded)\u003cbr /\u003e{\u003cbr /\u003e\u003cbr /\u003e    for (int deviceIdx = 0; deviceIdx \u0026lt; scannedDevices.Count; deviceIdx++)\u003cbr /\u003e    {\u003cbr /\u003e        //‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐\u003cbr /\u003e        // \u003c/span\u003e\u003cspan class=\"code\"\u003eCada elemento de la colección es un IProfinetDevice.\u003c/span\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003e        // \u003c/span\u003e\u003cspan class=\"code\"\u003eEsta interfaz se describe con detalle en el siguiente apartado\u003c/span\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003e        //‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐\u003cbr /\u003e         IProfinetDevice dev = scannedDevices[deviceIdx];\u003cbr /\u003e    }\u003cbr /\u003e}\u003cbr /\u003e\u003cbr /\u003e\u003c/span\u003e\u003cspan\u003eLa colección también permite la iteración utilizando la sintaxis \u003c/span\u003e\u003cspan\u003eforeach\u003c/span\u003e\u003cspan\u003e. El ejemplo siguiente muestra la misma colección iterada utilizando la siguiente sintaxis:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003eNetwork myNetwork = new Network();\u003cbr /\u003eIProfinetDeviceCollection scannedDevices;\u003cbr /\u003e\u003cbr /\u003eIScanErrorCollection scanResult = myNetwork.ScanNetworkDevices(out scannedDevices);\u003cbr /\u003eif (scanResult.Succeeded)\u003cbr /\u003e{\u003cbr /\u003e    foreach (IProfinetDevice dev in scannedDevices)\u003cbr /\u003e    {\u003cbr /\u003e        //‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐\u003cbr /\u003e        // \u003c/span\u003e\u003cspan class=\"code\"\u003eLa variable \"\u003c/span\u003e\u003cspan class=\"code\"\u003edev\u003c/span\u003e\u003cspan class=\"code\"\u003e\" ahora representa el siguiente elemento de la colección\u003c/span\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003e        //‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐\u003cbr /\u003e    }\u003cbr /\u003e}\u003cbr /\u003e\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/html\u003e"}