﻿topicarray["41015bb1086956635bb8287e0400fba5"] = {"Html":"\u003c?xml version=\"1.0\" encoding=\"utf-16\"?\u003e\u003chtml xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"\u003e\u003cdiv class=\"main_body\"\u003e\u003cbr /\u003e\u003cdiv class=\"content_body\"\u003e\u003cdiv class=\"body_headline\" style=\"display:none;\"\u003eEvento DataChanged\u003c/div\u003e\u003cdiv class=\"prolog-container\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eLa interfaz \u003c/span\u003e\u003cspan class=\"code\"\u003eIProfinetDevice\u003c/span\u003e\u003cspan\u003e soporta el evento \u003c/span\u003e\u003cspan class=\"code\"\u003eDataChanged\u003c/span\u003e\u003cspan\u003e.\u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003e (evento \u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eEste evento permite al programa controlar si los cambios han ocurrido en un dispositivo determinado de la red debido a otras operaciones de la API. Por ejemplo, si el programa mantiene una referencia a un \u003c/span\u003e\u003cspan class=\"code\"\u003eIProfinetDevice\u003c/span\u003e\u003cspan\u003e determinado, puede detectar determinados cambios en el dispositivo.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eEn el ejemplo siguiente, el código se adjunta al evento \u003c/span\u003e\u003cspan class=\"code\"\u003eDataChanged\u003c/span\u003e\u003cspan\u003e para cada dispositivo de la red:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003eprivate void AttachEvents(IProfinetDeviceCollection devices)\u003cbr /\u003e{\u003cbr /\u003e  foreach (IProfinetDevice dev in devices)\u003cbr /\u003e  {\u003cbr /\u003e    dev.DataChanged += new DataChangedEventHandler(Dev_DataChanged);\u003cbr /\u003e  }\u003cbr /\u003e}\u003cbr /\u003e\u003cbr /\u003eprivate void DetachEvents(IProfinetDeviceCollection devices)\u003cbr /\u003e{ \u003cbr /\u003e  foreach (IProfinetDevice dev in devices)  \u003cbr /\u003e  {  \u003cbr /\u003e    dev.DataChanged -= new DataChangedEventHandler(Dev_DataChanged);\u003cbr /\u003e  }  \u003cbr /\u003e}\u003cbr /\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003eprivate void Dev_DataChanged(object sender, DataChangedEventArgs e)\u003cbr /\u003e{\u003cbr /\u003e  if (e.Type == DataChangedType.OperatingState)\u003cbr /\u003e  {\u003cbr /\u003e    // \u003c/span\u003e\u003cspan class=\"code\"\u003eHa cambiado el estado operativo del dispositivo. Responder a los cambios aquí.\u003c/span\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003e  }\u003cbr /\u003e}\u003cbr /\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eAhora, si alguna acción realizada por la \u003c/span\u003e\u003cspan\u003eAPI\u003c/span\u003e\u003cspan\u003e hace que un dispositivo cambie de estado operativo, se llamará al método \u003c/span\u003e\u003cspan class=\"code\"\u003eDev_DataChanged\u003c/span\u003e\u003cspan\u003e.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"safetycontainer inserted-object\"\u003e\u003ctable width=\"100%\" class=\"note\"\u003e\u003ctr valign=\"top\"\u003e\u003ctd colspan=\"3\" class=\"hint-headerContent\"\u003e\u003cp\u003e\u003cdiv style=\"display:table;\"\u003e\u003cdiv style=\"display:table-cell;vertical-align:middle;\"\u003eNota\u003c/div\u003e\u003c/div\u003e\u003c/p\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr class=\"hint-content\"\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"hint-content-text\"\u003e\u003cdiv\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eEl evento \u003c/span\u003e\u003cspan class=\"code\"\u003eDataChanged\u003c/span\u003e\u003cspan\u003e no controla activamente la red en vivo, sino que monitorea las propiedades del \u003c/span\u003e\u003cspan class=\"code\"\u003eIProfinetDevice\u003c/span\u003e\u003cspan\u003e. El estado de este objeto debe cambiar para disparar el evento.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"hint-lower-line\" /\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"quintessence\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eLa clase DataChangedEventArgs\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eEl controlador de eventos \u003c/span\u003e\u003cspan class=\"code\"\u003eDataChanged\u003c/span\u003e\u003cspan\u003e recibe un objeto \u003c/span\u003e\u003cspan class=\"code\"\u003eDataChangedEventArgs\u003c/span\u003e\u003cspan\u003e. Tal y como se muestra en el ejemplo anterior, esta clase tiene una única propiedad, \"\u003c/span\u003e\u003cspan class=\"code\"\u003eType\u003c/span\u003e\u003cspan\u003e\", de tipo de datos \u003c/span\u003e\u003cspan class=\"hotspot\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chkc4745aca-47b3-0cf4-a84c-f9518e3049853d458379c688a36846418840ae796e36\" class=\"hotspot-link display-i-none\" data-mode=\"grab\" data-label=\"explicit\" data-linktarget=\"3d458379c688a36846418840ae796e36\" data-targettype=\"TOPIC\" data-targetdocument=\"1f711495eb261ddf9cd73714f9f62439\" data-targetdetail=\"3d458379c688a36846418840ae796e36\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan class=\"code\"\u003eDataChangedType\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003ca id=\"hse_chkc4745aca-47b3-0cf4-a84c-f9518e3049853d458379c688a36846418840ae796e36\" data-id=\"hs_chkc4745aca-47b3-0cf4-a84c-f9518e3049853d458379c688a36846418840ae796e36\" data-type=\"hotspot-ext-link\" data-linktype=\"hotspot-ext-link\" class=\"hotspot-ext-link display-none\"\u003e\u003ci class=\"\" /\u003e\u003c/a\u003e\u003cdiv id=\"hsc_chkc4745aca-47b3-0cf4-a84c-f9518e3049853d458379c688a36846418840ae796e36\" class=\"hotspot-container hidden topicclass display-none\" style=\"\" data-type=\"hotspot-container\" data-id=\"hs_id\" /\u003e\u003c/span\u003e\u003cspan\u003e.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/html\u003e"}