﻿topicarray["466352f91aba5c7ea27831b97a70b812"] = {"Html":"\u003c?xml version=\"1.0\" encoding=\"utf-16\"?\u003e\u003chtml xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"\u003e\u003cdiv class=\"main_body\"\u003e\u003cbr /\u003e\u003cdiv class=\"content_body\"\u003e\u003cdiv class=\"body_headline\" style=\"display:none;\"\u003eInterfaz IHMI\u003c/div\u003e\u003cdiv class=\"prolog-container\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eEl método \u003c/span\u003e\u003cspan class=\"code\"\u003eScanNetworkDevices\u003c/span\u003e\u003cspan\u003e es llamado para generar una \u003c/span\u003e\u003cspan class=\"code\"\u003eIProfinetDeviceCollection\u003c/span\u003e\u003cspan\u003e. Esta colección contiene un elemento para cada dispositivo accesible de la red industrial. Estos dispositivos pueden incluir CPU, HMI, estaciones de periferia descentralizada y otros dispositivos Siemens. La interfaz \u003c/span\u003e\u003cspan class=\"code\"\u003eIProfinetDevice\u003c/span\u003e\u003cspan\u003e proporciona propiedades y métodos aplicables a todas las categorías de dispositivos.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eNo obstante, hay métodos que solo se utilizan para dispositivos HMI. Estos métodos y propiedades son accesibles a través de la interfaz \u003c/span\u003e\u003cspan class=\"code\"\u003eIHMI\u003c/span\u003e\u003cspan\u003e.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003ePara determinar si una determinada interfaz \u003c/span\u003e\u003cspan class=\"code\"\u003eIProfinetDevice\u003c/span\u003e\u003cspan\u003e representa realmente un dispositivo HMI, sométalo a un método \u003c/span\u003e\u003cspan class=\"code\"\u003eIHMI\u003c/span\u003e\u003cspan\u003e. Si la ejecución se completa correctamente, significa que el dispositivo de red es un HMI y se podrán utilizar los métodos de la interfaz \u003c/span\u003e\u003cspan class=\"code\"\u003eIHMI\u003c/span\u003e\u003cspan class=\"code\" /\u003e\u003cspan\u003e. El siguiente ejemplo ilustra este procedimiento:\u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003e(interfaz API)\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003eNetwork myNetwork = new Network();\u003cbr /\u003eIProfinetDeviceCollection scannedDevices;\u003cbr /\u003e\u003cbr /\u003eIScanErrorCollection scanResult = myNetwork.ScanNetworkDevices(out scannedDevices);\u003cbr /\u003eif (scanResult.Succeeded)\u003cbr /\u003e{\u003cbr /\u003e    foreach (IProfinetDevice dev in scannedDevices)\u003cbr /\u003e    {\u003cbr /\u003e        IHMI devAsHmi = dev as IHMI;\u003cbr /\u003e        if (devAsHmi != null)\u003cbr /\u003e        {\u003cbr /\u003e            //-----------------------------------------------------\u003cbr /\u003e            // \u003c/span\u003e\u003cspan class=\"code\"\u003eEl dispositivo es un HMI.\u003c/span\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003e            // \u003c/span\u003e\u003cspan class=\"code\"\u003eLa interfaz IHMI puede utilizarse para interactuar con él.\u003c/span\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003e            //-----------------------------------------------------\u003cbr /\u003e        }\u003cbr /\u003e    }\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003e}\u003cbr /\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"safetycontainer inserted-object\"\u003e\u003ctable width=\"100%\" class=\"note\"\u003e\u003ctr valign=\"top\"\u003e\u003ctd colspan=\"3\" class=\"hint-headerContent\"\u003e\u003cp\u003e\u003cdiv style=\"display:table;\"\u003e\u003cdiv style=\"display:table-cell;vertical-align:middle;\"\u003eNota\u003c/div\u003e\u003c/div\u003e\u003c/p\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr class=\"hint-content\"\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"hint-content-text\"\u003e\u003cdiv\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eLa interfaz \u003c/span\u003e\u003cspan class=\"code\"\u003eIHMI\u003c/span\u003e\u003cspan\u003e hereda del \u003c/span\u003e\u003cspan class=\"code\"\u003eIProfinetDevice\u003c/span\u003e\u003cspan\u003e. Por ello, todos los métodos y propiedades soportados en \u003c/span\u003e\u003cspan class=\"code\"\u003eIProfinetDevice\u003c/span\u003e\u003cspan\u003e también se soportan en \u003c/span\u003e\u003cspan class=\"code\"\u003eIHMI\u003c/span\u003e\u003cspan\u003e. El siguiente apartado de propiedades IHMI describe solo los métodos y propiedades que son exclusivos de la interfaz \u003c/span\u003e\u003cspan class=\"code\"\u003eIHMI\u003c/span\u003e\u003cspan\u003e.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"hint-lower-line\" /\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003cdiv class=\"safetycontainer inserted-object\"\u003e\u003ctable width=\"100%\" class=\"note\"\u003e\u003ctr valign=\"top\"\u003e\u003ctd colspan=\"3\" class=\"hint-headerContent\"\u003e\u003cp\u003e\u003cdiv style=\"display:table;\"\u003e\u003cdiv style=\"display:table-cell;vertical-align:middle;\"\u003eNota\u003c/div\u003e\u003c/div\u003e\u003c/p\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr class=\"hint-content\"\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"hint-content-text\"\u003e\u003cdiv\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eLa interfaz \u003c/span\u003e\u003cspan class=\"code\"\u003eIHMI\u003c/span\u003e\u003cspan\u003e admite el método FirmwareUpdate. Sin embargo, este método siempre devolverá el error \u003c/span\u003e\u003cspan class=\"code\"\u003eFirmwareUpdateNotSupported\u003c/span\u003e\u003cspan\u003e. Para actualizar el firmware de un dispositivo \u003c/span\u003e\u003cspan class=\"code\"\u003eHMI\u003c/span\u003e\u003cspan\u003e, debe ejecutarse el \u003c/span\u003e\u003cspan class=\"hotspot\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chkb9b3a3f4-d1d0-ff6b-af2d-9444bd02bfac2da00f064bf97297e060de550dd2eb30\" class=\"hotspot-link display-i-none\" data-mode=\"grab\" data-label=\"explicit\" data-linktarget=\"2da00f064bf97297e060de550dd2eb30\" data-targettype=\"TOPIC\" data-targetdocument=\"1f711495eb261ddf9cd73714f9f62439\" data-targetdetail=\"2da00f064bf97297e060de550dd2eb30\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003emétodo de actualización del programa\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003ca id=\"hse_chkb9b3a3f4-d1d0-ff6b-af2d-9444bd02bfac2da00f064bf97297e060de550dd2eb30\" data-id=\"hs_chkb9b3a3f4-d1d0-ff6b-af2d-9444bd02bfac2da00f064bf97297e060de550dd2eb30\" data-type=\"hotspot-ext-link\" data-linktype=\"hotspot-ext-link\" class=\"hotspot-ext-link display-none\"\u003e\u003ci class=\"\" /\u003e\u003c/a\u003e\u003cdiv id=\"hsc_chkb9b3a3f4-d1d0-ff6b-af2d-9444bd02bfac2da00f064bf97297e060de550dd2eb30\" class=\"hotspot-container hidden topicclass display-none\" style=\"\" data-type=\"hotspot-container\" data-id=\"hs_id\" /\u003e\u003c/span\u003e\u003cspan\u003e.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"hint-lower-line\" /\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/html\u003e"}