﻿topicarray["e708c0a8abf857f9b36b1f580c993179"] = {"Html":"\u003c?xml version=\"1.0\" encoding=\"utf-16\"?\u003e\u003chtml xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"\u003e\u003cdiv class=\"main_body\"\u003e\u003cbr /\u003e\u003cdiv class=\"content_body\"\u003e\u003cdiv class=\"body_headline\" style=\"display:none;\"\u003eItération des éléments dans la collection\u003c/div\u003e\u003cdiv class=\"prolog-container\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eLa méthode \u003c/span\u003e\u003cspan class=\"code\"\u003eScanNetworkDevices\u003c/span\u003e\u003cspan\u003e renvoie un objet de type \u003c/span\u003e\u003cspan class=\"code\"\u003eIProfinetDeviceCollection\u003c/span\u003e\u003cspan\u003e. Cette classe offre de multiples façons de réaliser la fonction d\u0027itération des éléments dans la collection. Elle fournit également des méthodes pour filtrer les éléments de la collection en fonction de certains critères.  \u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eClasse \u003c/span\u003e\u003cspan class=\"index-subentry-item\"\u003eitération des éléments dans la collection\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eL\u0027exemple suivant crée une collection de tous les appareils accessibles sur l\u0027interface réseau sélectionnée :\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003eNetwork myNetwork = new Network();\u003cbr /\u003eIProfinetDeviceCollection scannedDevices;\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003eIScanErrorCollection scanResult = myNetwork.ScanNetworkDevices(out scannedDevices);\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003ePour les programmateurs qui préfèrent la syntaxe de type array, vous pouvez accéder aux éléments dans scannedDevices comme suit :\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003eNetwork myNetwork = new Network();\u003cbr /\u003eIProfinetDeviceCollection scannedDevices;\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003eIScanErrorCollection scanResult = myNetwork.ScanNetworkDevices(out scannedDevices);\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003eif (scanResult.Succeeded)\u003cbr /\u003e{\u003cbr /\u003e\u003cbr /\u003e    for (int deviceIdx = 0; deviceIdx \u0026lt; scannedDevices.Count; deviceIdx++)\u003cbr /\u003e    {\u003cbr /\u003e        //‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐\u003cbr /\u003e        // \u003c/span\u003e\u003cspan class=\"code\"\u003eChaque élément de la collection est un IProfinetDevice.\u003c/span\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003e        // \u003c/span\u003e\u003cspan class=\"code\"\u003eCette interface est décrite en détail dans la partie suivante\u003c/span\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003e        //‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐\u003cbr /\u003e         IProfinetDevice dev = scannedDevices[deviceIdx];\u003cbr /\u003e    }\u003cbr /\u003e}\u003cbr /\u003e\u003cbr /\u003e\u003c/span\u003e\u003cspan\u003eLa collection prend également en charge l\u0027itération à l\u0027aide de la syntaxe \u003c/span\u003e\u003cspan\u003eforeach\u003c/span\u003e\u003cspan\u003e. L\u0027exemple suivant montre la même itération dans cette syntaxe :\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003eNetwork myNetwork = new Network();\u003cbr /\u003eIProfinetDeviceCollection scannedDevices;\u003cbr /\u003e\u003cbr /\u003eIScanErrorCollection scanResult = myNetwork.ScanNetworkDevices(out scannedDevices);\u003cbr /\u003eif (scanResult.Succeeded)\u003cbr /\u003e{\u003cbr /\u003e    foreach (IProfinetDevice dev in scannedDevices)\u003cbr /\u003e    {\u003cbr /\u003e        //‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐\u003cbr /\u003e        // \u003c/span\u003e\u003cspan class=\"code\"\u003eLa variable \"\u003c/span\u003e\u003cspan class=\"code\"\u003edev\u003c/span\u003e\u003cspan class=\"code\"\u003e\" représente maintenant l\u0027élément suivant dans la collection\u003c/span\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003e        //‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐\u003cbr /\u003e    }\u003cbr /\u003e}\u003cbr /\u003e\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/html\u003e"}