﻿topicarray["e708c0a8abf857f9b36b1f580c993179"] = {"Html":"\u003c?xml version=\"1.0\" encoding=\"utf-16\"?\u003e\u003chtml xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"\u003e\u003cdiv class=\"main_body\"\u003e\u003cbr /\u003e\u003cdiv class=\"content_body\"\u003e\u003cdiv class=\"body_headline\" style=\"display:none;\"\u003eIterazione degli elementi nell\u0027elenco\u003c/div\u003e\u003cdiv class=\"prolog-container\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIl metodo \u003c/span\u003e\u003cspan class=\"code\"\u003eScanNetworkDevices\u003c/span\u003e\u003cspan\u003e fornisce in uscita un oggetto di tipo \u003c/span\u003e\u003cspan class=\"code\"\u003eIProfinetDeviceCollection\u003c/span\u003e\u003cspan\u003e. Questa classe consente di iterare in molti modi gli elementi all\u0027interno della collezione. Mette inoltre a disposizione metodi per \"filtrare\" gli elementi della collezione in base a determinati criteri.  \u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eclasse \u003c/span\u003e\u003cspan class=\"index-subentry-item\"\u003eiterazione degli elementi delle collezioni\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIl seguente esempio genera una collezione con i dispositivi accessibili nell\u0027interfaccia di rete selezionata.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003eNetwork myNetwork = new Network();\u003cbr /\u003eIProfinetDeviceCollection scannedDevices;\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003eIScanErrorCollection scanResult = myNetwork.ScanNetworkDevices(out scannedDevices);\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eI programmatori che preferiscono utilizzare la sintassi array-like possono accedere agli elementi di scannedDevices nel seguente modo:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003eNetwork myNetwork = new Network();\u003cbr /\u003eIProfinetDeviceCollection scannedDevices;\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003eIScanErrorCollection scanResult = myNetwork.ScanNetworkDevices(out scannedDevices);\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003eif (scanResult.Succeeded)\u003cbr /\u003e{\u003cbr /\u003e\u003cbr /\u003e    for (int deviceIdx = 0; deviceIdx \u0026lt; scannedDevices.Count; deviceIdx++)\u003cbr /\u003e    {\u003cbr /\u003e        //‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐\u003cbr /\u003e        // \u003c/span\u003e\u003cspan class=\"code\"\u003eOgni elemento della collezione è un IProfinetDevice.\u003c/span\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003e        // \u003c/span\u003e\u003cspan class=\"code\"\u003eQuesta interfaccia è descritta in modo più dettagliato nella prossima sezione \u003c/span\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003e        //‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐\u003cbr /\u003e         IProfinetDevice dev = scannedDevices[deviceIdx];\u003cbr /\u003e    }\u003cbr /\u003e}\u003cbr /\u003e\u003cbr /\u003e\u003c/span\u003e\u003cspan\u003eQuesta collezione consente inoltre l\u0027iterazione con la sintassi \u003c/span\u003e\u003cspan\u003eforeach\u003c/span\u003e\u003cspan\u003e. Nel seguente esempio si vede la stessa collezione iterata con questa sintassi:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003eNetwork myNetwork = new Network();\u003cbr /\u003eIProfinetDeviceCollection scannedDevices;\u003cbr /\u003e\u003cbr /\u003eIScanErrorCollection scanResult = myNetwork.ScanNetworkDevices(out scannedDevices);\u003cbr /\u003eif (scanResult.Succeeded)\u003cbr /\u003e{\u003cbr /\u003e    foreach (IProfinetDevice dev in scannedDevices)\u003cbr /\u003e    {\u003cbr /\u003e        //‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐\u003cbr /\u003e        // \u003c/span\u003e\u003cspan class=\"code\"\u003eOra la variabile \"\u003c/span\u003e\u003cspan class=\"code\"\u003edev\u003c/span\u003e\u003cspan class=\"code\"\u003e\" rappresenta l’elemento successivo della collezione\u003c/span\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003e        //‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐‐\u003cbr /\u003e    }\u003cbr /\u003e}\u003cbr /\u003e\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/html\u003e"}