﻿topicarray["41015bb1086956635bb8287e0400fba5"] = {"Html":"\u003c?xml version=\"1.0\" encoding=\"utf-16\"?\u003e\u003chtml xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"\u003e\u003cdiv class=\"main_body\"\u003e\u003cbr /\u003e\u003cdiv class=\"content_body\"\u003e\u003cdiv class=\"body_headline\" style=\"display:none;\"\u003eDataChanged 事件\u003c/div\u003e\u003cdiv class=\"prolog-container\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003eIProfinetDevice\u003c/span\u003e\u003cspan\u003e 接口支持 \u003c/span\u003e\u003cspan class=\"code\"\u003eDataChanged\u003c/span\u003e\u003cspan\u003e 事件。\u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003e（\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e此事件允许程序监视由 API 执行的其他操作是否引起了网络中给定设备的变更。例如，当程序保持对特定 \u003c/span\u003e\u003cspan class=\"code\"\u003eIProfinetDevice\u003c/span\u003e\u003cspan\u003e 的引用时，可以检测此设备的变更。\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e对于网络中的每个设备，\u003c/span\u003e\u003cspan class=\"code\"\u003eDataChanged\u003c/span\u003e\u003cspan\u003e 事件都附加了如下示例的代码：\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003eprivate void AttachEvents(IProfinetDeviceCollection devices)\u003cbr /\u003e{\u003cbr /\u003e  foreach (IProfinetDevice dev in devices)\u003cbr /\u003e  {\u003cbr /\u003e    dev.DataChanged += new DataChangedEventHandler(Dev_DataChanged);\u003cbr /\u003e  }\u003cbr /\u003e}\u003cbr /\u003e\u003cbr /\u003eprivate void DetachEvents(IProfinetDeviceCollection devices)\u003cbr /\u003e{ \u003cbr /\u003e  foreach (IProfinetDevice dev in devices)  \u003cbr /\u003e  {  \u003cbr /\u003e    dev.DataChanged -= new DataChangedEventHandler(Dev_DataChanged);\u003cbr /\u003e  }  \u003cbr /\u003e}\u003cbr /\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003eprivate void Dev_DataChanged(object sender, DataChangedEventArgs e)\u003cbr /\u003e{\u003cbr /\u003e  if (e.Type == DataChangedType.OperatingState)\u003cbr /\u003e  {\u003cbr /\u003e    // \u003c/span\u003e\u003cspan class=\"code\"\u003e设备操作状态已更改。在此响应更改。\u003c/span\u003e\u003cspan class=\"code\"\u003e\u003cbr /\u003e  }\u003cbr /\u003e}\u003cbr /\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e此时，当 \u003c/span\u003e\u003cspan\u003eAPI\u003c/span\u003e\u003cspan\u003e 的任何操作引起设备的操作模式发生变化时，将调用 \u003c/span\u003e\u003cspan class=\"code\"\u003eDev_DataChanged\u003c/span\u003e\u003cspan\u003e 方法。\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"safetycontainer inserted-object\"\u003e\u003ctable width=\"100%\" class=\"note\"\u003e\u003ctr valign=\"top\"\u003e\u003ctd colspan=\"3\" class=\"hint-headerContent\"\u003e\u003cp\u003e\u003cdiv style=\"display:table;\"\u003e\u003cdiv style=\"display:table-cell;vertical-align:middle;\"\u003e说明\u003c/div\u003e\u003c/div\u003e\u003c/p\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr class=\"hint-content\"\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"hint-content-text\"\u003e\u003cdiv\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003eDataChanged\u003c/span\u003e\u003cspan\u003e 事件不会主动监视实时网络，而会监视 \u003c/span\u003e\u003cspan class=\"code\"\u003eIProfinetDevice\u003c/span\u003e\u003cspan\u003e 的属性。仅当此对象的状态发生变化时才会触发此事件。\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"hint-lower-line\" /\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"quintessence\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eDataChangedEventArgs 类\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"code\"\u003eDataChanged\u003c/span\u003e\u003cspan\u003e 事件处理程序接收 \u003c/span\u003e\u003cspan class=\"code\"\u003eDataChangedEventArgs\u003c/span\u003e\u003cspan\u003e 对象。如以上示例中所示，此类具有一个 \u003c/span\u003e\u003cspan class=\"hotspot\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chkc4745aca-47b3-0cf4-a84c-f9518e3049853d458379c688a36846418840ae796e36\" class=\"hotspot-link display-i-none\" data-mode=\"grab\" data-label=\"explicit\" data-linktarget=\"3d458379c688a36846418840ae796e36\" data-targettype=\"TOPIC\" data-targetdocument=\"1f711495eb261ddf9cd73714f9f62439\" data-targetdetail=\"3d458379c688a36846418840ae796e36\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan class=\"code\"\u003eDataChangedType\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003ca id=\"hse_chkc4745aca-47b3-0cf4-a84c-f9518e3049853d458379c688a36846418840ae796e36\" data-id=\"hs_chkc4745aca-47b3-0cf4-a84c-f9518e3049853d458379c688a36846418840ae796e36\" data-type=\"hotspot-ext-link\" data-linktype=\"hotspot-ext-link\" class=\"hotspot-ext-link display-none\"\u003e\u003ci class=\"\" /\u003e\u003c/a\u003e\u003cdiv id=\"hsc_chkc4745aca-47b3-0cf4-a84c-f9518e3049853d458379c688a36846418840ae796e36\" class=\"hotspot-container hidden topicclass display-none\" style=\"\" data-type=\"hotspot-container\" data-id=\"hs_id\" /\u003e\u003c/span\u003e\u003cspan\u003e 数据类型的单一属性“\u003c/span\u003e\u003cspan class=\"code\"\u003eType\u003c/span\u003e\u003cspan\u003e”。\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/html\u003e"}